##
##  ldapvi.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ldapvi
Summary:      LDAP LDIF Editor
URL:          http://www.lichteblau.com/src.html
Vendor:       David Lichteblau
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        LDAP
License:      GPL
Version:      1.7
Release:      20120713

#   list of sources
Source0:      http://www.lichteblau.com/download/ldapvi-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, make, gcc, pkgconfig
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  openldap, openssl, glib, popt, ncurses
PreReq:       openldap, openssl, glib, popt, ncurses

%description
    LDAPvi allows retrieving LDAP database records, edit them in LDIF
    format within a text editor and store the changed records back via
    LDAP.

%track
    prog ldapvi = {
        version   = %{version}
        url       = http://www.lichteblau.com/ldapvi.html
        regex     = ldapvi-(\d+(\.\d+)+)\.tar\.gz
    }

%prep
    %setup -q
    %{l_shtool} subst -e 's;-lcurses;-lncurses;g' configure

%build
    %{l_shtool} subst \
        -e 's;-lglib-2.0;-lglib2;' \
        configure
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags ncurses .}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-lssl -lcrypto" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        ldapvi $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        ldapvi.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

